xine-lib: hls_input_plugin_t Struct Reference

xine-lib 1.2.12

Public Types | Data Fields
hls_input_plugin_t Struct Reference

## Public Types
enum | { LIST_VOD , LIST_LIVE_BUMP , LIST_LIVE_REGET }

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
xine_nbc_t * | nbc
input_plugin_t * | in1
uint32_t | caps1
struct {
xine_mfrag_list_t * list
uint64_t * input_offs
uint32_t * mrl_offs
off_t pos
off_t size
int64_t pts
uint32_t num
uint32_t current
} | frag
char * | list_buf
uint32_t | list_bsize
enum hls_input_plugin_t:: { ... } | list_type
uint32_t | list_seq
uint32_t | items_num
uint32_t | prev_size1
uint32_t | prev_size2
struct timespec | frag_dur
struct timespec | next_stop
int | rewind
const char * | items_mrl [20]
multirate_pref_t | items [20]
const char * | list_strtype
const char * | list_strseq
char | list_mrl [4096]
char | item_mrl [4096]
char | prev_item_mrl [4096]
size_t | bump_pos
size_t | bump_size
uint32_t | bump_seq
char | pad1 [4]
char | bump1 [4096]
char | pad2 [4]
char | bump2 [4096]
char | preview [32<< 10]

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
LIST_VOD |
LIST_LIVE_BUMP |
LIST_LIVE_REGET |

## Field Documentation

## ◆ bump1

char hls_input_plugin_t::bump1[4096]

## ◆ bump2

char hls_input_plugin_t::bump2[4096]

## ◆ bump_pos

size_t hls_input_plugin_t::bump_pos

## ◆ bump_seq

uint32_t hls_input_plugin_t::bump_seq

## ◆ bump_size

size_t hls_input_plugin_t::bump_size

## ◆ caps1

uint32_t hls_input_plugin_t::caps1

## ◆ current

uint32_t hls_input_plugin_t::current

## ◆

struct { ... } hls_input_plugin_t::frag

## ◆ frag_dur

struct timespec hls_input_plugin_t::frag_dur

<< for read (), 0 after leaving that range.

## ◆ in1

input_plugin_t* hls_input_plugin_t::in1

## ◆ input_offs

uint64_t* hls_input_plugin_t::input_offs

## ◆ input_plugin

input_plugin_t hls_input_plugin_t::input_plugin

## ◆ item_mrl

char hls_input_plugin_t::item_mrl[4096]

## ◆ items

multirate_pref_t hls_input_plugin_t::items[20]

## ◆ items_mrl

const char* hls_input_plugin_t::items_mrl[20]

<< seconds

## ◆ items_num

uint32_t hls_input_plugin_t::items_num

## ◆ list

xine_mfrag_list_t* hls_input_plugin_t::list

## ◆ list_bsize

uint32_t hls_input_plugin_t::list_bsize

## ◆ list_buf

char* hls_input_plugin_t::list_buf

## ◆ list_mrl

char hls_input_plugin_t::list_mrl[4096]

## ◆ list_seq

uint32_t hls_input_plugin_t::list_seq

## ◆ list_strseq

const char* hls_input_plugin_t::list_strseq

## ◆ list_strtype

const char* hls_input_plugin_t::list_strtype

## ◆

enum { ... } hls_input_plugin_t::list_type

## ◆ mrl_offs

uint32_t* hls_input_plugin_t::mrl_offs

<< bytes + 1, or 0 if unset

## ◆ nbc

xine_nbc_t* hls_input_plugin_t::nbc

## ◆ next_stop

struct timespec hls_input_plugin_t::next_stop

<< != 0 if fixed duration live frags

## ◆ num

uint32_t hls_input_plugin_t::num

## ◆ pad1

char hls_input_plugin_t::pad1[4]

## ◆ pad2

char hls_input_plugin_t::pad2[4]

## ◆ pos

off_t hls_input_plugin_t::pos

<< offs into list_buf

## ◆ prev_item_mrl

char hls_input_plugin_t::prev_item_mrl[4096]

## ◆ prev_size1

uint32_t hls_input_plugin_t::prev_size1

## ◆ prev_size2

uint32_t hls_input_plugin_t::prev_size2

<< the actual preview bytes, for INPUT_OPTIONAL_DATA_[SIZED]_PREVIEW.

## ◆ preview

char hls_input_plugin_t::preview[32<< 10]

## ◆ pts

int64_t hls_input_plugin_t::pts

## ◆ rewind

int hls_input_plugin_t::rewind

<< live timeline emulation

## ◆ size

off_t hls_input_plugin_t::size

## ◆ stream

xine_stream_t* hls_input_plugin_t::stream

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_hls.c